# Copyright (c) 2013 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

# TEST SOON TO BE DISABLED UNTIL MIGRATED TO PYTHON 3.
# For instructions on how to: go/tauto-py3-migration
# To re-enable migrate to Python 3.
# If the test is not migrated by 1/14/22 it will be deleted.

AUTHOR = "ChromeOS Team"
NAME = "desktopui_ScreenLocker"
PURPOSE = "Verify screen locker is functional."
CRITERIA = """
This test will fail if the screen cannot be locked with
autotestPrivate.lockScreen, or cannot be unlocked with the correct password,
or if the screen is unlocked with an incorrect password.
"""
# TODO(jdufault): Stop running this in the bvt suite once crbug.com/452599 is
# resolved.
ATTRIBUTES = "suite:bvt-perbuild"
TIME = "SHORT"
TEST_CATEGORY = "Functional"
TEST_CLASS = "desktopui"
TEST_TYPE = "client"
JOB_RETRIES = 2

DOC = """
This test checks if the screen locker can lock and unlock the screen.
"""

job.run_test('desktopui_ScreenLocker')
